/*	$Id: errno.h 2007/08/21 19:07:26 mallet $ */

/*
 * Copyright (c) 2000-2007 LAAS/CNRS                  --  Fri May 12 2000
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */
#ifndef _LIBINSITUERROR_H
#define _LIBINSITUERROR_H

#define insitunum(mod,num) ((((mod) & 0xFFFF) << 16) | ((num) & 0xFFFF))

#define Err_InsituId  5110

#define ERR_INSITU_MEMORY		insitunum(Err_InsituId, 1)
#define ERR_INSITU_CANNOT_ACCESS_GEOM	insitunum(Err_InsituId, 2)
#define ERR_INSITU_NO_SUCH_LINK		insitunum(Err_InsituId, 3)
#define ERR_INSITU_NO_SUCH_FRAME	insitunum(Err_InsituId, 4)
#define ERR_INSITU_GET			insitunum(Err_InsituId, 5)
#define ERR_INSITU_SET			insitunum(Err_InsituId, 6)
#define ERR_INSITU_BAD_MODE		insitunum(Err_InsituId, 7)
#define ERR_INSITU_CANNOT_UPDATE_GEOM	insitunum(Err_InsituId, 8)

#endif /* _LIBINSITUERROR_H */
